> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lolboost.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk update top up offers



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/top-ups/bulk-update
openapi: 3.0.3
info:
  title: LoLBoost Seller API
  version: 1.0.0
  description: Seller API for syncing account offers and item offers with LoLBoost.
servers:
  - url: https://api.lolboost.gg
    description: LoLBoost Seller API
security:
  - BearerAuth: []
tags:
  - name: Accounts
    description: Create, list, update, archive and bulk remove account offers.
  - name: Items
    description: Create, list, update, archive and bulk remove item offers.
  - name: Top Ups
    description: Create, list, update, archive and bulk manage top up offers.
  - name: Images
    description: Upload, list and delete seller gallery images for listings.
  - name: Webhooks
    description: Webhook payload examples for sync events.
paths:
  /api/v1/top-ups/bulk-update:
    post:
      tags:
        - Top Ups
      summary: Bulk update top up offers
      operationId: bulkUpdateTopUps
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                offers:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
              required:
                - offers
      responses:
        '200':
          description: Top up offers updated
        '400':
          description: Invalid request
        '401':
          description: Unauthorized
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key

````